Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Member
Posts: 1
Registered: ‎04-29-2011
My Device: DS01
My Carrier: Rogers

Java plug-in for Eclipse 3.6 not showing BlackBerry App Development perspective

I downloaded Eclipse 3.6 (Helios) and went through Help -> Install New Software and put in:

 

http://www.blackberry.com/go/eclipseUpdate/3.6/java

 

Checked BackBerry Java SDK 5.0.0.25

 

After downloading, installing, restarting Eclipse (no error in the process), I could not find BlackBerry App Development perspective, or any BlackBerry related tools.

 

From Help -> About Eclispe, it shows BackBerry Java SDK 5.0.0.25 was installed.

 

Can anybody help? Thanks in advance.

BlackBerry Development Advisor
Posts: 15,700
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: Java plug-in for Eclipse 3.6 not showing BlackBerry App Development perspective

First, you'll need to download and install the BlackBerry Java Plug-in for Eclipse full installer located here:  http://us.blackberry.com/developers/javaappdev/devtools.jsp

 

This will install Eclipse, the core BlackBerry Java Plug-in (that provides the BlackBerry Perspective) and the BlackBerry Java SDK 6.0.

 

You can then use the update site to install lower (pre 6.0) versions of the BlackBerry Java SDK if you need them.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker